RubyGems.org

commander

4.2.0

The complete solution for Ruby command-line executables. Commander bridges the gap between other terminal related libraries you know and love (OptionParser, HighLine), while providing many new features, and an elegant API.

installgem install commander
Authors

TJ Holowaychuk, Gabriel Gilder

801,054 total downloads 92,467 for this version
Owners

F1e3ab214a976a39cfd713bc93deb10f35a2cccac0a002d15f5062b3b1840180

Licenses

MIT

Gemfile
gem 'commander', '~> 4.2.0'
Versions
  1. 4.2.0 April 30, 2014 (32.5 KB)
  2. 4.1.6 February 11, 2014 (31.5 KB)
  3. 4.1.5 August 11, 2013 (30 KB)
  4. 4.1.4 July 21, 2013 (30 KB)
  5. 4.1.3 December 16, 2012 (30 KB)
Show all versions (17 total)
Runtime Dependencies
  1. highline ~> 1.6.11
Ruby Dependency
  1. >= 0